/*
 * IContestant.java
 *
 * Created on June 19, 2003, 6:52 PM
 */

package gamekeeper2a;

/** Information about a single contestant.
 * Unless the subclass specifies otherwise, assume that contestant
 * names are case sensitive; and that leading and trailing spaces
 * (but not internal spaces) are ignored and trimmed.
 */
public interface IContestant {
    
    /** Tells the name of this team.
     */ 
    String getName();
        
    /** Tells the number of games won so far. */
    int getGamesWon();
    
    /** Tells the number of games lost so far. */
    int getGamesLost();
    
    /** Tells the number of games tied (draws) so far.  For some types of games,
     *  this will always be zero.
     */
    int getGamesDrawn();
    
    /** Remember that a game was won.
     */
    void recordWin();
    
    /** Remember that a game was lost.
     */
    void recordLoss();
    
    /** Remember that a game was a draw.
     */
    void recordDraw();

//end interface IContestant
}
