/*
 * IGameResult.java
 *
 * Created on June 18, 2003, 8:01 PM
 */

package gamekeeper2a;

/** Information about a single, completed match or game.
 *
 * @author  dickey
 */
public interface IGameResult {
    
    /** Tells whether or not the game was a draw.
     */
    boolean isDraw();
    
    /** Tells the name of the winner of the match.
     *  In case of a tie, this should return the lexicographically 1st name. 
     */
    String getWinnerName();
    
    /** Tells the name of the loser of the match.
     */
    String getLoserName();
    
    /** Tells the score of the winner.
     */
    int getWinnerScore();
    
    /** Tells the score of the loser.
     */
    int getLoserScore();
// end interface IGameResult    
}
